Page MenuHomePhabricator

Shelve Offline Library code for now.
Closed, ResolvedPublic

Description

The Offline Library is an ambitious feature that involves a lot of moving parts, many of which have still not been decided or solidified, including but not limited to:

  • Who will host the ZIM files downloadable from the app?
  • Who will generate the ZIM files and make sure their content is valid?
  • Who will curate the types of content that goes into ZIM files?
  • How can we guarantee "authenticity" of ZIM files? (e.g. digital signing)
  • How do we handle incremental updates of ZIM files?
  • How do we "version" the content of ZIM files, so that different versions of the app will know which versions of ZIM files they can read?

Furthermore, the (limited) user research that we've performed indicates that users are more interested in "targeted" packs of content, e.g. articles from a specific category, rather than a complete compilation of WP content.

Therefore, until we have a better handle on all the above points, we should remove and archive the current code for Offline Library from the app, since it's already starting to rot, because we don't have the bandwidth to keep maintaining it.

https://www.mediawiki.org/wiki/Wikimedia_Apps/Offline_support

Event Timeline

Dbrant created this task.May 24 2018, 6:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2018, 6:40 PM

Change 434994 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] [WIP] Remove Offline Compilation code.

https://gerrit.wikimedia.org/r/434994

Change 434994 merged by jenkins-bot:
[apps/android/wikipedia@master] Surgically remove Offline Compilation code.

https://gerrit.wikimedia.org/r/434994

Dbrant updated the task description. (Show Details)Jun 5 2018, 3:59 PM
Vvjjkkii renamed this task from Shelve Offline Library code for now. to 9bcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 9bcaaaaaaa to Shelve Offline Library code for now..Jul 2 2018, 3:50 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
mxn added a subscriber: mxn.Sep 2 2018, 7:47 PM
Dbrant closed this task as Resolved.Oct 16 2018, 3:40 PM
Dbrant claimed this task.